NetBeans Forums

 FAQFAQ   SearchSearch   MemberlistMemberlist   RegisterRegister   ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 
  

Installed 6.9, Not all requested modules can be enabled

 
Post new topic   Reply to topic    NetBeans Forums -> NetBeans Users
View previous topic :: View next topic  
Author Message
rtdewi0



Joined: 21 Jul 2010
Posts: 1

PostPosted: Wed Jul 21, 2010 2:20 am    Post subject: Installed 6.9, Not all requested modules can be enabled Reply with quote

I tried upgrading from 6.7 to 6.9 on my Mac today, and I had some issues after the installation. I am wanting to use Ruby and Rails plugin, but when I try to activate the plugin I get the following message:

Activation failed: Not all requested modules can be enabled: [StandardModule:org.netbeans.modules.ruby.kit jarFile: /Applications/NetBeans/NetBeans 6.9.app/Contents/Resources/NetBeans/ruby/modules/org-netbeans-modules-ruby-kit.jar]

I've tried doing an uninstall and reinstall (removed /Application/NetBeans and /Users/<username>/.netbeans directories), but that doesn't seem to make a difference. I've tried downloading the Ruby and Rails plugin from the update center and reinstalling it manually but that doesn't help either.

Does anyone have any other suggestions on what I can try to do to fix this? Without this plugin I can't open any of my existing Rails applications which is the only reason I use NB.

Here is the output of the messages.log file from my /Users/<username>/.netbeans/6.9/var/log directory:

INFO [org.netbeans.modules.autoupdate.ui.wizards.UninstallStep]: java.lang.IllegalArgumentException: Not all requested modules can be enabled: [StandardModule:org.netbeans.modules.ruby.kit jarFile: /Applications/NetBeans/NetBeans 6.9.app/Contents/Resources/NetBeans/ruby/modules/org-netbeans-modules-ruby-kit.jar]
java.lang.IllegalArgumentException: Not all requested modules can be enabled: [StandardModule:org.netbeans.modules.ruby.kit jarFile: /Applications/NetBeans/NetBeans 6.9.app/Contents/Resources/NetBeans/ruby/modules/org-netbeans-modules-ruby-kit.jar]
at org.netbeans.ModuleManager.enable(ModuleManager.java:781)
at org.netbeans.modules.autoupdate.services.OperationSupportImpl$ForEnable.enable(OperationSupportImpl.java:186)
Caused: org.netbeans.api.autoupdate.OperationException: Not all requested modules can be enabled: [StandardModule:org.netbeans.modules.ruby.kit jarFile: /Applications/NetBeans/NetBeans 6.9.app/Contents/Resources/NetBeans/ruby/modules/org-netbeans-modules-ruby-kit.jar]
at org.netbeans.modules.autoupdate.services.OperationSupportImpl$ForEnable.enable(OperationSupportImpl.java:189)
at org.netbeans.modules.autoupdate.services.OperationSupportImpl$ForEnable.access$1200(OperationSupportImpl.java:129)
at org.netbeans.modules.autoupdate.services.OperationSupportImpl$ForEnable$1.run(OperationSupportImpl.java:160)
at org.netbeans.modules.autoupdate.services.OperationSupportImpl$ForEnable$1.run(OperationSupportImpl.java:158)
at org.openide.util.Mutex.writeAccess(Mutex.java:436)
at org.netbeans.modules.autoupdate.services.OperationSupportImpl$ForEnable.doOperation(OperationSupportImpl.java:158)
at org.netbeans.api.autoupdate.OperationSupport.doOperation(OperationSupport.java:70)
at org.netbeans.modules.autoupdate.ui.wizards.UninstallStep.handleAction(UninstallStep.java:195)
at org.netbeans.modules.autoupdate.ui.wizards.UninstallStep.doAction(UninstallStep.java:155)
at org.netbeans.modules.autoupdate.ui.wizards.UninstallStep.access$000(UninstallStep.java:70)
at org.netbeans.modules.autoupdate.ui.wizards.UninstallStep$1.propertyChange(UninstallStep.java:129)
at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:339)
at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:276)
at java.awt.Component.firePropertyChange(Component.java:8213)
at org.netbeans.modules.autoupdate.ui.wizards.OperationPanel.access$000(OperationPanel.java:64)
[catch] at org.netbeans.modules.autoupdate.ui.wizards.OperationPanel$1.run(OperationPanel.java:84)
at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1418)
at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1957)
Back to top
Display posts from previous:   
Post new topic   Reply to topic    NetBeans Forums -> NetBeans Users All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo